Subject: Re: bug#77048: 30.1; Macro `cl-load-time-value` malfunctioning at compile-time and runtime

From: Bohong Huang <[email-masked]>
Date: Thu, 20 Mar 2025 00:24:11 +0800

>>    In ltvt-test:
>>    cl-load-time-value-test.el:41:4: Warning: reference to free variable
>>        ‘--cl-load-time--281’
>
> That's not an error, but a warning.
>
>>    cl-load-time-value-test.el: Error: End of file during parsing
>
> This usually means a missing closing paren somewhere.
> My crystal ball tells me you're not using the same code as the one in
> the Git repo you sent.

I can confirm the identity of code used by the two methods. If that’s
the case, this parsing error issue might be beyond the scope of this
thread, and I may report it separately.

>> However, my previous way of reproducing the issue was through
>> `package-vc-install`, which can be successfully native-compiled.
>> Confirmed by checking the function's documentation:
>>
>>    ltvt-test is an autoloaded interactive native-comp-function in
>>    ‘cl-load-time-value-test.el’.
>>
>>    (ltvt-test)
>>
>>    Inferred type: (function nil t)
>>
>>    Not documented.
>>
>>    [back]
>>
>> Yet running the command reports the following error:
>>
>>    Debugger entered--Lisp error: (void-variable --cl-load-time--0)
>>      ltvt-test()
>>      funcall-interactively(ltvt-test)
>>      command-execute(ltvt-test record)
>>      execute-extended-command(nil "ltvt-test" nil)
>>      funcall-interactively(execute-extended-command nil "ltvt-test" nil)
>>      command-execute(execute-extended-command)
>
> As long as I can't reproduce it here, I can't really
> investigate further.

Alright, I'll tinker with this issue myself. Thank you for the time
you've spent on it so far! 😉